Exiv2::Internal::TiffMappingInfo Struct Reference

TIFF mapping table for functions to decode special cases. More...

`#include <tiffcomposite_int.hpp>`

## Classes

struct | Key
| Search key for TIFF mapping structures. More...

## Public Member Functions

bool | operator== (const Key &key) const
| Compare a TiffMappingInfo with a TiffMappingInfo::Key. The two are equal if TiffMappingInfo::make_ equals a substring of the key of the same size. E.g., mapping info = "OLYMPUS", key = "OLYMPUS OPTICAL CO.,LTD" (found in the image) match, the extendedTag is Tag::all or equal to the extended tag of the key, and the group is equal to that of the key.
uint16_t | tag () const
| Return the tag corresponding to the extended tag.

## Public Attributes

const char * | make_
| Camera make for which these mapping functions apply.
uint32_t | extendedTag_
| Tag (32 bit so that it can contain special tags)
IfdId | group_
| Group that contains the tag.
DecoderFct | decoderFct_
| Decoder function for matching tags.
EncoderFct | encoderFct_
| Encoder function for matching tags.

## Detailed Description

TIFF mapping table for functions to decode special cases.

The documentation for this struct was generated from the following files:

- tiffcomposite_int.hpp
- tiffcomposite_int.cpp